Bug 705104 (freediams) - Review Request: freediams - Pharmaceutical Drugs Prescriptor
Summary: Review Request: freediams - Pharmaceutical Drugs Prescriptor
Keywords:
Status: CLOSED ERRATA
Alias: freediams
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Narasimhan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-medical
TreeView+ depends on / blocked
 
Reported: 2011-05-16 16:08 UTC by Ankur Sinha (FranciscoD)
Modified: 2012-07-19 09:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-28 12:45:32 UTC
lakshminaras2002: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2011-05-16 16:08:17 UTC
Spec URL: http://ankursinha.fedorapeople.org/freediam/freediams.spec
SRPM URL: http://ankursinha.fedorapeople.org/freediam/freediams-0.5.4-1.fc15.src.rpm

Description: 
FreeDiams prescriber is the result of FreeMedForms prescriber
 plugins built into a standalone application. FreeDiams is a 
multi-platform (MacOS, Linux, FreeBSD, Windows), free and open 
source released under the new BSD license. It is developed by 
medical doctors and is intended for use by these same professionals.
 It can be used alone to prescribe and / or test drug interactions 
within a prescription. It can be linked to any application thanks 
to its command line parameters. The therapeutic and interactions 
database are synchronized with data from the French AFSSAPS.

Comment 1 Ankur Sinha (FranciscoD) 2011-05-16 18:00:53 UTC
There are some rpmlint errors to do with RPATH. I don't know how to handle these :/


freediams-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freediams/libListView.so ['$ORIGIN', '$ORIGIN/..']
freediams-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freediams/libMainWindow.so ['$ORIGIN', '$ORIGIN/..']
freediams-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freediams/libTextEditor.so ['$ORIGIN', '$ORIGIN/..']
freediams-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freediams/libCore.so ['$ORIGIN', '$ORIGIN/..']
freediams-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freediams/libDrugs.so ['$ORIGIN', '$ORIGIN/..']
freediams-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freediams/libDrugsBase.so ['$ORIGIN', '$ORIGIN/..']
freediams-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freediams/libPrinter.so ['$ORIGIN', '$ORIGIN/..']
freediams-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freediams/libTemplates.so ['$ORIGIN', '$ORIGIN/..']
freediams-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freediams/libSaveRestore.so ['$ORIGIN', '$ORIGIN/..']

Comment 2 Golo Fuchert 2011-05-21 14:29:01 UTC
Have you tried these?
http://fedoraproject.org/wiki/Packaging/Guidelines#Removing_Rpath

Comment 3 Ankur Sinha (FranciscoD) 2011-05-22 18:53:49 UTC
Hello,

I did look at that. This project uses qmake so the first two methods mentioned in the wiki will probably not work. I'll try using chrpath and see how that goes.

Thanks,
Ankur

Comment 4 Ankur Sinha (FranciscoD) 2011-05-25 11:43:50 UTC
Hello,

Used chrpath to correct the rpath issue:

Updated srpm and spec:

http://ankursinha.fedorapeople.org/freediam/freediams-0.5.4-1.fc15.src.rpm

http://ankursinha.fedorapeople.org/freediam/freediams.spec

Thanks!
Ankur

Comment 5 Volker Fröhlich 2011-05-28 15:41:21 UTC
I can't rebuild your source package. Something is wrong with your qmake options, it seems.

Your package bundles quazip, which is already in Fedora. Please delete it in the prep section and make your package use the system's version.

Usually the files section starts with the main package and not with a sub-package.

Harmonize on either using %{buildroot} or $RPM_BUILD_ROOT.

Please pay attention to the translations. See http://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files

The description of the data package is wrong. It doesn't contain architecture independent documentation, but data. Besides that, you should make the sub-package Noarch, to yield an advantage.

The package includes some tests. Can you run them in a check section?

License and readme file belong to the main package. The install file should not be included.

Comment 6 Ankur Sinha (FranciscoD) 2011-05-29 07:33:04 UTC
Hi Volker!

Thank you for the comments!

(In reply to comment #5)
> I can't rebuild your source package. Something is wrong with your qmake
> options, it seems.

Uhm, I just rebuilt it in mock and it built correctly.

> 
> Your package bundles quazip, which is already in Fedora. Please delete it in
> the prep section and make your package use the system's version.

I missed this! I'll take care of it. 

> 
> Usually the files section starts with the main package and not with a
> sub-package.

Okay. I'll rearrange the spec file. 

> 
> Harmonize on either using %{buildroot} or $RPM_BUILD_ROOT.

Done. 

> 
> Please pay attention to the translations. See
> http://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files
> 
> The description of the data package is wrong. It doesn't contain architecture
> independent documentation, but data. Besides that, you should make the
> sub-package Noarch, to yield an advantage.

Okay. 

> 
> The package includes some tests. Can you run them in a check section?

Okay. 

> 
> License and readme file belong to the main package. The install file should not
> be included.

Okay. 

I'll rebuild the spec with the changes and upload a new srpm soon. 

Thanks again!
Ankur

Comment 7 Volker Fröhlich 2011-06-03 18:10:51 UTC
Referencing your review swapping e-mail, please take a look at http://www.geofrogger.net/review/freediams-0.5.4-2.fc14.src.rpm

I took an approach in removing the bundled lib. Please also notice the additional TODO items!

Sadly, the whole thing doesn't work, since the final binary isn't linked to the libs. Doesn't work with your original package either.

Comment 8 Ankur Sinha (FranciscoD) 2011-06-12 17:21:20 UTC
Hi,

I've built it with the fedora quazip now and it builds correctly 

http://koji.fedoraproject.org/koji/taskinfo?taskID=3127185

I've got to check if it works or not. I'll do that in a day or two.

Fresh spec/srpm:

http://ankursinha.fedorapeople.org/freediams/freediams.spec

http://ankursinha.fedorapeople.org/freediams/freediams-0.5.4-1.fc15.src.rpm

Thanks,
Ankur

Comment 9 Ankur Sinha (FranciscoD) 2011-06-12 17:24:09 UTC
The Requires are wrong I think. I'll fix it up in a day or two.

Comment 10 Volker Fröhlich 2011-06-12 18:12:23 UTC
Please make new releases when you publish your specs. Don't post release 1 multiple times -- just bump it and make a new changelog entry too. This makes it a lot easier for the reviewer and is useful practice.

Another thing you can do, is add "-b .does_this_and_that" to the patch macro. This creates backups of the patched files and also acts as a help to know which patch is which.

I'd also harmonize the order of BuildArch, Requires and Summary in your sub-packages.

Please comment why you delete contrib, since it isn't obvious.

"These files consist of the documentation files for %{name}." -- I'm afraid that's bad grammar, plus it should describe a package -- not files.

Something is wrong with the main package's description: I think these should be 3 paragraphs, but I can only see leading spaces.

Also consider this paragraph: "FreeDiams is a multi-platform (MacOS, Linux, FreeBSD, Windows), free and open source released under the new BSD license." -- It is more or less clear that it's open source if it's in Fedora and the license contradicts -- but you left a comment on that. Personally, I think the description could be shorter and more clear.

Do you think "export PATH=$PATH:%{_libdir}/qt4/bin/" is really necessary?

Comment 11 Ankur Sinha (FranciscoD) 2011-06-14 18:03:25 UTC
(In reply to comment #10)
> Please make new releases when you publish your specs. Don't post release 1
> multiple times -- just bump it and make a new changelog entry too. This makes
> it a lot easier for the reviewer and is useful practice.

Sorry, I forgot to update the changelog in my haste. 

> 
> Another thing you can do, is add "-b .does_this_and_that" to the patch macro.
> This creates backups of the patched files and also acts as a help to know which
> patch is which.

Done

> 
> I'd also harmonize the order of BuildArch, Requires and Summary in your
> sub-packages.

Done

> 
> Please comment why you delete contrib, since it isn't obvious.

Done

> 
> "These files consist of the documentation files for %{name}." -- I'm afraid
> that's bad grammar, plus it should describe a package -- not files.

Corrected

> 
> Something is wrong with the main package's description: I think these should be
> 3 paragraphs, but I can only see leading spaces.
> 
> Also consider this paragraph: "FreeDiams is a multi-platform (MacOS, Linux,
> FreeBSD, Windows), free and open source released under the new BSD license." --
> It is more or less clear that it's open source if it's in Fedora and the
> license contradicts -- but you left a comment on that. Personally, I think the
> description could be shorter and more clear.
> 

Corrected. 

> Do you think "export PATH=$PATH:%{_libdir}/qt4/bin/" is really necessary?

The project documentation page says this is required. No harm in including it, is there?

It now builds correctly, It also functions. Here's a scratch build one can test:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3131213

SPEC/SRPM:
http://ankursinha.fedorapeople.org/freediams/freediams.spec
http://ankursinha.fedorapeople.org/freediams/freediams-0.5.4-1.fc15.src.rpm

* Tue Jun 14 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.5.4-1
- let rpath be
- http://fedoraproject.org/wiki/PackagingGuidelines#Rpath_for_Internal_Libraries
- Improved upon description
- Added -b to patch application
- Harmomnized order of tags for sub packages
- Add rationale to removal of contrib directory


Thanks,
Ankur

Comment 12 Ankur Sinha (FranciscoD) 2011-06-15 05:54:35 UTC
I've mailed upstream to clarify some of the issues:

https://fedorahosted.org/pipermail/medical-sig/2011-June/000187.html

Comment 13 Ankur Sinha (FranciscoD) 2011-07-16 19:47:16 UTC
Hello,
A small update:

The package builds and works *perfectly* (I've tested it on F15 already).

The only glitch that remains is the unversioned soname issue. I've mailed upstream regarding this. It seems this is intentional, since qmake has a 

CONFIG *= plugin

option which only generates .so files and not versioned shared objects.

http://doc.qt.nokia.com/latest/qmake-variable-reference.html#config

Lakshmi, you can review it whenever you have the time :)

Thanks,
Ankur

Comment 14 Ankur Sinha (FranciscoD) 2011-07-18 14:05:46 UTC
Hello,

I've asked around, and plugins are left unversioned in qt. They aren't generally named lib* but that's just a cosmetic issue. All the so files here that are unversioned are plugins so it isn't an issue :)

Thanks,
Ankur

Comment 15 Narasimhan 2011-09-10 04:37:20 UTC
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
freediams.i686: E: devel-dependency freediams-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

freediams.i686: W: spelling-error %description -l en_US plugins -> plug ins, plug-ins, plugging
The value of this tag appears to be misspelled. Please double-check.

freediams.i686: W: spelling-error %description -l en_US multi -> mulch, mufti
The value of this tag appears to be misspelled. Please double-check.

freediams.i686: W: spelling-error %description -l en_US informations -> information, information's, in formations
The value of this tag appears to be misspelled. Please double-check.

freediams.i686: W: no-manual-page-for-binary freediams
Each executable in standard binary directories should have a man page.

freediams-data.noarch: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/FreeDiams/Templates/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/FreeDiams/Templates/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/MedinTux/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/MedinTux/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/FreeDiams/DrugsBase/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/FreeDiams/DrugsBase/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/FreeDiams/MainWindow/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/FreeDiams/MainWindow/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/ExtensionSystem/.rcc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/ExtensionSystem/.rcc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/Aggregation/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/Aggregation/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/FreeDiams/Core/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/FreeDiams/Core/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/FreeDiams/Printer/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/FreeDiams/Printer/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/.ui
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/.ui
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/ExtensionSystem/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/ExtensionSystem/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/FreeDiams/TextEditor/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/FreeDiams/TextEditor/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/Utils/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/Utils/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/TranslationUtils/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/TranslationUtils/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/FreeDiams/SaveRestore/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/FreeDiams/SaveRestore/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/FreeDiams/ListView/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/FreeDiams/ListView/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/FreeDiams/.ui
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/FreeDiams/.ui
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/FreeDiams/Drugs/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/freediams-0.5.4/build/FreeDiams/Drugs/.moc
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

freediams-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freediams/libListView.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freediams-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freediams/libMainWindow.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freediams-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freediams/libTextEditor.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freediams-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freediams/libCore.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freediams-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freediams/libDrugs.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freediams-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freediams/libDrugsBase.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freediams-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freediams/libPrinter.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freediams-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freediams/libTemplates.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freediams-devel.i686: E: binary-or-shlib-defines-rpath /usr/lib/freediams/libSaveRestore.so ['$ORIGIN', '$ORIGIN/..']
The binary or shared library defines `RPATH'. Usually this is a bad thing
because it hardcodes the path to search libraries and so makes it difficult to
move libraries around.  Most likely you will find a Makefile with a line like:
gcc test.o -o test -Wl,--rpath.  Also, sometimes configure scripts provide a
--disable-rpath flag to avoid this.

freediams-devel.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

freediams-docs.noarch: W: invalid-url URL: http://www.freemedforms.com/ <urlopen error timed out>
The value should be a valid, public HTTP, HTTPS, or FTP URL.

5 packages and 0 specfiles checked; 10 errors, 41 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        No prebuilt external bits - OK, has sql database files
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK, has one error needs to be corrected
        API documentation - None, OK

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
Code and icons licensed as GPLv3. QT creator ui files are under LGPL. One of the tests is under GPLv2. 
[+]MUST: The License field in the package spec file must match the actual license.
GPLv3 
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
Copying.txt is included
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum freediams-0.5.4-1.fc15.src/freediamsfullsources-0.5.4.tgz 
9f7c0123e74cc7acd3eb30e2b43d8d94  freediams-0.5.4-1.fc15.src/freediamsfullsources-0.5.4.tgz

 md5sum ~/Downloads/freediamsfullsources-0.5.4.tgz 
9f7c0123e74cc7acd3eb30e2b43d8d94 ~/Downloads/freediamsfullsources-0.5.4.tgz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on i686
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.

[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
find_lang doesn't work properly on this package.

[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
None of the shared libraries go to the default lib path. So not needed.

[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list

[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.

[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides

[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.

[+]MUST: Permissions on files must be set properly.
Checked with ls -lR

[+]MUST: Each package must consistently use macros.

[+]MUST: The package must contain code, or permissible content.
Mysql databases, icons.

[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
Checked with ls -lR 

[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[+]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.

[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
This makes devel and base package interdependent.

[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[+]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
Already included.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packages. Installs fine. Ran the application. Launches fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

Minor points
In description, I think it is information not informations.
One of the tests is under GPLv2 (modeltest-0.2). Will GPLv3 cover GPLv2 as well? Otherwise we need to indicate GP:Lv2 in the license field.

Comment 16 Narasimhan 2011-09-25 05:41:50 UTC
I am approving this package. Please make the required corrections before building.


APPROVED.

Comment 17 Volker Fröhlich 2012-03-05 13:58:56 UTC
I guess we can close this review request.

Comment 18 Volker Fröhlich 2012-04-17 22:01:27 UTC
Submitter doesn't respond, closing. Please re-open if necessary.

Comment 19 Ankur Sinha (FranciscoD) 2012-06-26 19:07:03 UTC
Reopening. I'll submit an scm request and build the package. Sorry for the hiatus. I have cycles to maintain this. Since I did all the work, I might as well see it in the repos :)

Comment 20 Ankur Sinha (FranciscoD) 2012-06-26 19:10:35 UTC
New Package SCM Request
=======================
Package Name: freediams
Short Description: Pharmaceutical Drugs Prescriptor
Owners: ankursinha susmit
Branches: f16 f17
InitialCC:

Comment 21 Gwyn Ciesla 2012-06-26 19:25:00 UTC
Git done (by process-git-requests).

Comment 22 Ankur Sinha (FranciscoD) 2012-06-26 20:12:43 UTC
Upstream has released 0.7.4. I'll update the spec and then make the commit.

Thanks Jon, Lakshmi, Volker.

Comment 23 Ankur Sinha (FranciscoD) 2012-06-28 12:45:32 UTC
Built for rawhide: http://koji.fedoraproject.org/koji/buildinfo?buildID=328130

Functions. :)

Comment 24 Fedora Update System 2012-06-28 13:16:55 UTC
freemedforms-0.7.5-6.fc16,freediams-0.7.5-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/freemedforms-0.7.5-6.fc16,freediams-0.7.5-5.fc16

Comment 25 Fedora Update System 2012-06-28 13:17:19 UTC
freemedforms-0.7.5-6.fc17,freediams-0.7.5-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/freemedforms-0.7.5-6.fc17,freediams-0.7.5-5.fc17

Comment 26 Gwyn Ciesla 2012-06-28 13:48:07 UTC
Already exists.

Comment 27 Fedora Update System 2012-07-19 08:53:30 UTC
freediams-0.7.5-6.fc16, freemedforms-0.7.5-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2012-07-19 09:00:06 UTC
freediams-0.7.5-6.fc17, freemedforms-0.7.5-6.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.